org.apache.xmlbeans

## Class XmlFactoryHook.ThreadContext

- java.lang.Object
- - org.apache.xmlbeans.XmlFactoryHook.ThreadContext

- Enclosing interface:
    XmlFactoryHook

      public static final class XmlFactoryHook.ThreadContext
      extends Object

  Used to manage the XmlFactoryHook for the current thread.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearThreadLocals()`
    `static XmlFactoryHook` | `getHook()` Returns the current thread's hook, or null if none.
    `static void` | `setHook(XmlFactoryHook hook)` Sets the hook for the current thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### clearThreadLocals

          public static void clearThreadLocals()

    - #### getHook

          public static XmlFactoryHook getHook()

      Returns the current thread's hook, or null if none.

    - #### setHook

          public static void setHook(XmlFactoryHook hook)

      Sets the hook for the current thread.